// pacemaker strip-light

textures/redfella/3r_light03b
{
	qer_editorimage textures/redfella/3r_light03b.tga
	q3map_lightimage textures/redfella/3r_light03b_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/redfella/3r_light03b.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/redfella/3r_light03b_blend.tga
		blendfunc add
		rgbGen identity
	}
}

// pacemaker small "x"-light

textures/redfella/3r_light01c
{
	qer_editorimage textures/redfella/3r_light01c.tga
	q3map_lightimage textures/redfella/3r_light01c_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/redfella/3r_light01c.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/redfella/3r_light01c_blend.tga
		blendfunc add
		rgbGen identity
	}
}

// pacemaker alpha grate

textures/redfella/1r_floor02
{
    surfaceparm metalsteps
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/redfella/1r_floor02.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}


textures/common/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm playerclip
}


textures/liquids/clear_ripple3
{
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/holodeck_training/lava2_mult.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/effects/invismap.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/bubbles.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


